<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxHierarchicalLayout (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxHierarchicalLayout (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxHierarchicalLayout.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.layout.hierarchical</a></div>
<h2 title="Class mxHierarchicalLayout" class="title">Class mxHierarchicalLayout</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">import hk.quantr.mxgraph.layout.mxGraphLayout</a></li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.layout.hierarchical.mxHierarchicalLayout</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../mxIGraphLayout.html" title="interface in import hk.quantr.mxgraph.layout">mxIGraphLayout</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxHierarchicalLayout</span>
extends <a href="../mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></pre>
<div class="block">The top level compound layout of the hierarchical layout. The individual
 elements of the layout are called in sequence.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disableEdgeStyle">disableEdgeStyle</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the STYLE_NOEDGESTYLE flag should be set on edges that are
 modified by the result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fineTuning">fineTuning</a></span></code></th>
<td class="colLast">
<div class="block">Whether or not to perform local optimisations and iterate multiple times
 through the algorithm</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#interHierarchySpacing">interHierarchySpacing</a></span></code></th>
<td class="colLast">
<div class="block">The spacing buffer between unconnected hierarchies</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#interRankCellSpacing">interRankCellSpacing</a></span></code></th>
<td class="colLast">
<div class="block">The spacing buffer added between cell on adjacent layers</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intraCellSpacing">intraCellSpacing</a></span></code></th>
<td class="colLast">
<div class="block">The spacing buffer added between cells on the same layer</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="model/mxGraphHierarchyModel.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyModel</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#model">model</a></span></code></th>
<td class="colLast">
<div class="block">The internal model formed of the layout</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveParent">moveParent</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the parnent should be moved if resizeParent is enabled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orientation">orientation</a></span></code></th>
<td class="colLast">
<div class="block">The position of the root node(s) relative to the laid out graph in.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parallelEdgeSpacing">parallelEdgeSpacing</a></span></code></th>
<td class="colLast">
<div class="block">The distance between each parallel edge on each ranks for long edges</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parentBorder">parentBorder</a></span></code></th>
<td class="colLast">
<div class="block">The border to be added around the children if the parent is to be
 resized using resizeParent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resizeParent">resizeParent</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the parent should be resized after the layout so that it
 contains all the child cells.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#roots">roots</a></span></code></th>
<td class="colLast">
<div class="block">The root nodes of the layout</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#traverseAncestors">traverseAncestors</a></span></code></th>
<td class="colLast">
<div class="block">Whether or not to navigate edges whose terminal vertices 
 have different parents but are in the same ancestry chain</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.import hk.quantr.mxgraph.layout.mxGraphLayout">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;import hk.quantr.mxgraph.layout.<a href="../mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></h3>
<code><a href="../mxGraphLayout.html#graph">graph</a>, <a href="../mxGraphLayout.html#parent">parent</a>, <a href="../mxGraphLayout.html#useBoundingBox">useBoundingBox</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(import hk.quantr.mxgraph.view.mxGraph)">mxHierarchicalLayout</a></span>&#8203;(<a href="../../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">
<div class="block">Constructs a hierarchical layout</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(import hk.quantr.mxgraph.view.mxGraph,int)">mxHierarchicalLayout</a></span>&#8203;(<a href="../../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                    int&nbsp;orientation)</code></th>
<td class="colLast">
<div class="block">Constructs a hierarchical layout</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#crossingStage(java.lang.Object)">crossingStage</a></span>&#8203;(java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">Executes the crossing stage using mxMedianHybridCrossingReduction.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cycleStage(java.lang.Object)">cycleStage</a></span>&#8203;(java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">Executes the cycle stage.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execute(java.lang.Object)">execute</a></span>&#8203;(java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">Executes the layout for the children of the specified parent.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execute(java.lang.Object,java.util.List)">execute</a></span>&#8203;(java.lang.Object&nbsp;parent,
       java.util.List&lt;java.lang.Object&gt;&nbsp;roots)</code></th>
<td class="colLast">
<div class="block">Executes the layout for the children of the specified parent.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filterDescendants(java.lang.Object)">filterDescendants</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Creates a set of descendant cells</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findRoots(java.lang.Object,java.util.Set)">findRoots</a></span>&#8203;(java.lang.Object&nbsp;parent,
         java.util.Set&lt;java.lang.Object&gt;&nbsp;vertices)</code></th>
<td class="colLast">
<div class="block">Returns all visible children in the given parent which do not have
 incoming edges.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEdges(java.lang.Object)">getEdges</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInterHierarchySpacing()">getInterHierarchySpacing</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInterRankCellSpacing()">getInterRankCellSpacing</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIntraCellSpacing()">getIntraCellSpacing</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="model/mxGraphHierarchyModel.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyModel</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getModel()">getModel</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the model for this layout algorithm.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrientation()">getOrientation</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getParallelEdgeSpacing()">getParallelEdgeSpacing</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getParentBorder()">getParentBorder</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns parentBorder.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isDisableEdgeStyle()">isDisableEdgeStyle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isFineTuning()">isFineTuning</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isMoveParent()">isMoveParent</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the moveParent flag.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isResizeParent()">isResizeParent</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the resizeParent flag.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#layeringStage()">layeringStage</a></span>()</code></th>
<td class="colLast">
<div class="block">Implements first stage of a Sugiyama layout.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#placementStage(double,java.lang.Object)">placementStage</a></span>&#8203;(double&nbsp;initialX,
              java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">Executes the placement stage using mxCoordinateAssignment.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#run(java.lang.Object)">run</a></span>&#8203;(java.lang.Object&nbsp;parent)</code></th>
<td class="colLast">
<div class="block">The API method used to exercise the layout upon the graph description
 and produce a separate description of the vertex position and edge
 routing changes made.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDisableEdgeStyle(boolean)">setDisableEdgeStyle</a></span>&#8203;(boolean&nbsp;disableEdgeStyle)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFineTuning(boolean)">setFineTuning</a></span>&#8203;(boolean&nbsp;fineTuning)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInterHierarchySpacing(double)">setInterHierarchySpacing</a></span>&#8203;(double&nbsp;interHierarchySpacing)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInterRankCellSpacing(double)">setInterRankCellSpacing</a></span>&#8203;(double&nbsp;interRankCellSpacing)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIntraCellSpacing(double)">setIntraCellSpacing</a></span>&#8203;(double&nbsp;intraCellSpacing)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMoveParent(boolean)">setMoveParent</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the moveParent flag.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOrientation(int)">setOrientation</a></span>&#8203;(int&nbsp;orientation)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setParallelEdgeSpacing(double)">setParallelEdgeSpacing</a></span>&#8203;(double&nbsp;parallelEdgeSpacing)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setParentBorder(int)">setParentBorder</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets parentBorder.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setResizeParent(boolean)">setResizeParent</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the resizeParent flag.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns <code>Hierarchical</code>, the name of this algorithm.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#traverse(java.lang.Object,boolean,java.lang.Object,java.util.Set,java.util.Set,java.util.List,java.util.Set)">traverse</a></span>&#8203;(java.lang.Object&nbsp;vertex,
        boolean&nbsp;directed,
        java.lang.Object&nbsp;edge,
        java.util.Set&lt;java.lang.Object&gt;&nbsp;allVertices,
        java.util.Set&lt;java.lang.Object&gt;&nbsp;currentComp,
        java.util.List&lt;java.util.Set&lt;java.lang.Object&gt;&gt;&nbsp;hierarchyVertices,
        java.util.Set&lt;java.lang.Object&gt;&nbsp;filledVertexSet)</code></th>
<td class="colLast">
<div class="block">Traverses the (directed) graph invoking the given function for each
 visited vertex and edge.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.import hk.quantr.mxgraph.layout.mxGraphLayout">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;import hk.quantr.mxgraph.layout.<a href="../mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></h3>
<code><a href="../mxGraphLayout.html#arrangeGroups(java.lang.Object%5B%5D,int)">arrangeGroups</a>, <a href="../mxGraphLayout.html#getConstraint(java.lang.Object,java.lang.Object)">getConstraint</a>, <a href="../mxGraphLayout.html#getConstraint(java.lang.Object,java.lang.Object,java.lang.Object,boolean)">getConstraint</a>, <a href="../mxGraphLayout.html#getGraph()">getGraph</a>, <a href="../mxGraphLayout.html#getParentOffset(java.lang.Object)">getParentOffset</a>, <a href="../mxGraphLayout.html#getVertexBounds(java.lang.Object)">getVertexBounds</a>, <a href="../mxGraphLayout.html#isEdgeIgnored(java.lang.Object)">isEdgeIgnored</a>, <a href="../mxGraphLayout.html#isUseBoundingBox()">isUseBoundingBox</a>, <a href="../mxGraphLayout.html#isVertexIgnored(java.lang.Object)">isVertexIgnored</a>, <a href="../mxGraphLayout.html#isVertexMovable(java.lang.Object)">isVertexMovable</a>, <a href="../mxGraphLayout.html#moveCell(java.lang.Object,double,double)">moveCell</a>, <a href="../mxGraphLayout.html#setEdgePoints(java.lang.Object,java.util.List)">setEdgePoints</a>, <a href="../mxGraphLayout.html#setEdgeStyleEnabled(java.lang.Object,boolean)">setEdgeStyleEnabled</a>, <a href="../mxGraphLayout.html#setOrthogonalEdge(java.lang.Object,boolean)">setOrthogonalEdge</a>, <a href="../mxGraphLayout.html#setUseBoundingBox(boolean)">setUseBoundingBox</a>, <a href="../mxGraphLayout.html#setVertexLocation(java.lang.Object,double,double)">setVertexLocation</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="roots">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roots</h4>
<pre>protected&nbsp;java.util.List&lt;java.lang.Object&gt; roots</pre>
<div class="block">The root nodes of the layout</div>
</li>
</ul>
<a id="resizeParent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resizeParent</h4>
<pre>protected&nbsp;boolean resizeParent</pre>
<div class="block">Specifies if the parent should be resized after the layout so that it
 contains all the child cells. Default is false. @See parentBorder.</div>
</li>
</ul>
<a id="moveParent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveParent</h4>
<pre>protected&nbsp;boolean moveParent</pre>
<div class="block">Specifies if the parnent should be moved if resizeParent is enabled.
 Default is false. @See resizeParent.</div>
</li>
</ul>
<a id="parentBorder">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parentBorder</h4>
<pre>protected&nbsp;int parentBorder</pre>
<div class="block">The border to be added around the children if the parent is to be
 resized using resizeParent. Default is 0. @See resizeParent.</div>
</li>
</ul>
<a id="intraCellSpacing">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intraCellSpacing</h4>
<pre>protected&nbsp;double intraCellSpacing</pre>
<div class="block">The spacing buffer added between cells on the same layer</div>
</li>
</ul>
<a id="interRankCellSpacing">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>interRankCellSpacing</h4>
<pre>protected&nbsp;double interRankCellSpacing</pre>
<div class="block">The spacing buffer added between cell on adjacent layers</div>
</li>
</ul>
<a id="interHierarchySpacing">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>interHierarchySpacing</h4>
<pre>protected&nbsp;double interHierarchySpacing</pre>
<div class="block">The spacing buffer between unconnected hierarchies</div>
</li>
</ul>
<a id="parallelEdgeSpacing">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parallelEdgeSpacing</h4>
<pre>protected&nbsp;double parallelEdgeSpacing</pre>
<div class="block">The distance between each parallel edge on each ranks for long edges</div>
</li>
</ul>
<a id="orientation">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orientation</h4>
<pre>protected&nbsp;int orientation</pre>
<div class="block">The position of the root node(s) relative to the laid out graph in. 
 Default is <code>SwingConstants.NORTH</code>, i.e. top-down.</div>
</li>
</ul>
<a id="disableEdgeStyle">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableEdgeStyle</h4>
<pre>protected&nbsp;boolean disableEdgeStyle</pre>
<div class="block">Specifies if the STYLE_NOEDGESTYLE flag should be set on edges that are
 modified by the result. Default is true.</div>
</li>
</ul>
<a id="fineTuning">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fineTuning</h4>
<pre>protected&nbsp;boolean fineTuning</pre>
<div class="block">Whether or not to perform local optimisations and iterate multiple times
 through the algorithm</div>
</li>
</ul>
<a id="traverseAncestors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>traverseAncestors</h4>
<pre>protected&nbsp;boolean traverseAncestors</pre>
<div class="block">Whether or not to navigate edges whose terminal vertices 
 have different parents but are in the same ancestry chain</div>
</li>
</ul>
<a id="model">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>model</h4>
<pre>protected&nbsp;<a href="model/mxGraphHierarchyModel.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyModel</a> model</pre>
<div class="block">The internal model formed of the layout</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(import hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxHierarchicalLayout</h4>
<pre>public&nbsp;mxHierarchicalLayout&#8203;(<a href="../../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
<div class="block">Constructs a hierarchical layout</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - the graph to lay out</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(import hk.quantr.mxgraph.view.mxGraph,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxHierarchicalLayout</h4>
<pre>public&nbsp;mxHierarchicalLayout&#8203;(<a href="../../view/mxGraph.html" title="class in import hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph,
                            int&nbsp;orientation)</pre>
<div class="block">Constructs a hierarchical layout</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - the graph to lay out</dd>
<dd><code>orientation</code> - <code>SwingConstants.NORTH, SwingConstants.EAST, SwingConstants.SOUTH</code> or <code> SwingConstants.WEST</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getModel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModel</h4>
<pre class="methodSignature">public&nbsp;<a href="model/mxGraphHierarchyModel.html" title="class in import hk.quantr.mxgraph.layout.hierarchical.model">mxGraphHierarchyModel</a>&nbsp;getModel()</pre>
<div class="block">Returns the model for this layout algorithm.</div>
</li>
</ul>
<a id="execute(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;execute&#8203;(java.lang.Object&nbsp;parent)</pre>
<div class="block">Executes the layout for the children of the specified parent.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../mxIGraphLayout.html#execute(java.lang.Object)">execute</a></code>&nbsp;in interface&nbsp;<code><a href="../mxIGraphLayout.html" title="interface in import hk.quantr.mxgraph.layout">mxIGraphLayout</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../mxGraphLayout.html#execute(java.lang.Object)">execute</a></code>&nbsp;in class&nbsp;<code><a href="../mxGraphLayout.html" title="class in import hk.quantr.mxgraph.layout">mxGraphLayout</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Parent cell that contains the children to be laid out.</dd>
</dl>
</li>
</ul>
<a id="execute(java.lang.Object,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;execute&#8203;(java.lang.Object&nbsp;parent,
                    java.util.List&lt;java.lang.Object&gt;&nbsp;roots)</pre>
<div class="block">Executes the layout for the children of the specified parent.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Parent cell that contains the children to be laid out.</dd>
<dd><code>roots</code> - the starting roots of the layout</dd>
</dl>
</li>
</ul>
<a id="findRoots(java.lang.Object,java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findRoots</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.Object&gt;&nbsp;findRoots&#8203;(java.lang.Object&nbsp;parent,
                                                  java.util.Set&lt;java.lang.Object&gt;&nbsp;vertices)</pre>
<div class="block">Returns all visible children in the given parent which do not have
 incoming edges. If the result is empty then the children with the
 maximum difference between incoming and outgoing edges are returned.
 This takes into account edges that are being promoted to the given
 root due to invisible children or collapsed cells.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Cell whose children should be checked.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of tree roots in parent.</dd>
</dl>
</li>
</ul>
<a id="getEdges(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEdges</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object[]&nbsp;getEdges&#8203;(java.lang.Object&nbsp;cell)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="run(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;run&#8203;(java.lang.Object&nbsp;parent)</pre>
<div class="block">The API method used to exercise the layout upon the graph description
 and produce a separate description of the vertex position and edge
 routing changes made.</div>
</li>
</ul>
<a id="filterDescendants(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filterDescendants</h4>
<pre class="methodSignature">public&nbsp;java.util.Set&lt;java.lang.Object&gt;&nbsp;filterDescendants&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Creates a set of descendant cells</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - The cell whose descendants are to be calculated</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the descendants of the cell (not the cell)</dd>
</dl>
</li>
</ul>
<a id="traverse(java.lang.Object,boolean,java.lang.Object,java.util.Set,java.util.Set,java.util.List,java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>traverse</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;traverse&#8203;(java.lang.Object&nbsp;vertex,
                        boolean&nbsp;directed,
                        java.lang.Object&nbsp;edge,
                        java.util.Set&lt;java.lang.Object&gt;&nbsp;allVertices,
                        java.util.Set&lt;java.lang.Object&gt;&nbsp;currentComp,
                        java.util.List&lt;java.util.Set&lt;java.lang.Object&gt;&gt;&nbsp;hierarchyVertices,
                        java.util.Set&lt;java.lang.Object&gt;&nbsp;filledVertexSet)</pre>
<div class="block">Traverses the (directed) graph invoking the given function for each
 visited vertex and edge. The function is invoked with the current vertex
 and the incoming edge as a parameter. This implementation makes sure
 each vertex is only visited once. The function may return false if the
 traversal should stop at the given vertex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex</code> - <mxCell> that represents the vertex where the traversal starts.</dd>
<dd><code>directed</code> - Optional boolean indicating if edges should only be traversed
 from source to target. Default is true.</dd>
<dd><code>edge</code> - Optional <mxCell> that represents the incoming edge. This is
 null for the first step of the traversal.</dd>
<dd><code>allVertices</code> - Array of cell paths for the visited cells.</dd>
</dl>
</li>
</ul>
<a id="cycleStage(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cycleStage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;cycleStage&#8203;(java.lang.Object&nbsp;parent)</pre>
<div class="block">Executes the cycle stage. This implementation uses the
 mxMinimumCycleRemover.</div>
</li>
</ul>
<a id="layeringStage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>layeringStage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;layeringStage()</pre>
<div class="block">Implements first stage of a Sugiyama layout.</div>
</li>
</ul>
<a id="crossingStage(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>crossingStage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;crossingStage&#8203;(java.lang.Object&nbsp;parent)</pre>
<div class="block">Executes the crossing stage using mxMedianHybridCrossingReduction.</div>
</li>
</ul>
<a id="placementStage(double,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>placementStage</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;placementStage&#8203;(double&nbsp;initialX,
                             java.lang.Object&nbsp;parent)</pre>
<div class="block">Executes the placement stage using mxCoordinateAssignment.</div>
</li>
</ul>
<a id="isResizeParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isResizeParent</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isResizeParent()</pre>
<div class="block">Returns the resizeParent flag.</div>
</li>
</ul>
<a id="setResizeParent(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResizeParent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setResizeParent&#8203;(boolean&nbsp;value)</pre>
<div class="block">Sets the resizeParent flag.</div>
</li>
</ul>
<a id="isMoveParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMoveParent</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isMoveParent()</pre>
<div class="block">Returns the moveParent flag.</div>
</li>
</ul>
<a id="setMoveParent(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoveParent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMoveParent&#8203;(boolean&nbsp;value)</pre>
<div class="block">Sets the moveParent flag.</div>
</li>
</ul>
<a id="getParentBorder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentBorder</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getParentBorder()</pre>
<div class="block">Returns parentBorder.</div>
</li>
</ul>
<a id="setParentBorder(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentBorder</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setParentBorder&#8203;(int&nbsp;value)</pre>
<div class="block">Sets parentBorder.</div>
</li>
</ul>
<a id="getIntraCellSpacing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntraCellSpacing</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getIntraCellSpacing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the intraCellSpacing.</dd>
</dl>
</li>
</ul>
<a id="setIntraCellSpacing(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIntraCellSpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIntraCellSpacing&#8203;(double&nbsp;intraCellSpacing)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>intraCellSpacing</code> - The intraCellSpacing to set.</dd>
</dl>
</li>
</ul>
<a id="getInterRankCellSpacing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterRankCellSpacing</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getInterRankCellSpacing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the interRankCellSpacing.</dd>
</dl>
</li>
</ul>
<a id="setInterRankCellSpacing(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterRankCellSpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInterRankCellSpacing&#8203;(double&nbsp;interRankCellSpacing)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>interRankCellSpacing</code> - The interRankCellSpacing to set.</dd>
</dl>
</li>
</ul>
<a id="getOrientation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrientation</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getOrientation()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the orientation.</dd>
</dl>
</li>
</ul>
<a id="setOrientation(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrientation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOrientation&#8203;(int&nbsp;orientation)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orientation</code> - The orientation to set.</dd>
</dl>
</li>
</ul>
<a id="getInterHierarchySpacing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterHierarchySpacing</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getInterHierarchySpacing()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the interHierarchySpacing.</dd>
</dl>
</li>
</ul>
<a id="setInterHierarchySpacing(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterHierarchySpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInterHierarchySpacing&#8203;(double&nbsp;interHierarchySpacing)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>interHierarchySpacing</code> - The interHierarchySpacing to set.</dd>
</dl>
</li>
</ul>
<a id="getParallelEdgeSpacing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParallelEdgeSpacing</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getParallelEdgeSpacing()</pre>
</li>
</ul>
<a id="setParallelEdgeSpacing(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParallelEdgeSpacing</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setParallelEdgeSpacing&#8203;(double&nbsp;parallelEdgeSpacing)</pre>
</li>
</ul>
<a id="isFineTuning()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFineTuning</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isFineTuning()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the fineTuning.</dd>
</dl>
</li>
</ul>
<a id="setFineTuning(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFineTuning</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setFineTuning&#8203;(boolean&nbsp;fineTuning)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fineTuning</code> - The fineTuning to set.</dd>
</dl>
</li>
</ul>
<a id="isDisableEdgeStyle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDisableEdgeStyle</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isDisableEdgeStyle()</pre>
</li>
</ul>
<a id="setDisableEdgeStyle(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDisableEdgeStyle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDisableEdgeStyle&#8203;(boolean&nbsp;disableEdgeStyle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>disableEdgeStyle</code> - </dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns <code>Hierarchical</code>, the name of this algorithm.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxHierarchicalLayout.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
